<?php
/*
Plugin Name: Tag To Name
Version: 0.0.0.1
Description: remplace le nom d'un fichier par un fabiqué avec les tags de l'image
Plugin URI: http://www.phpwebgallery.net
Author: h2o
Author URI: http://www.datacombes.com
*/

if (!defined('PHPWG_ROOT_PATH')) {
  die('Hacking attempt!');
}

add_event_handler('init', 'tag_to_name_init');

add_event_handler('get_admin_plugin_menu_links', 'tag_to_name_admin_menu');

global $prefixeTable;
define('tag_to_name_TABLE' , $prefixeTable . 'tag_to_name');

function tag_to_name_init() {
  $plugin_name = basename(dirname(__FILE__));
  $plugin_path = dirname(__FILE__).'/';
  $plugin_url = get_root_url();

  include_once($plugin_path.'include/class.inc.php');

  // Create object
  $tag_to_name    = new tag_to_name   ($plugin_name, $plugin_path, $plugin_url);
  set_plugin_data($tag_to_name   ->plugin_name, $tag_to_name   );
}

function tag_to_name_admin_menu($menu)
{
  $plugin_name = basename(dirname(__FILE__));
  $plugin_path = dirname(__FILE__).'/';
  $plugin_url = get_root_url();
  
  array_push($menu, array(
    'NAME' => 'Tag To Name',
    'URL' => get_admin_plugin_menu_link($plugin_path . 'admin/tag_to_name_admin.php')));
  return $menu;
}


?>
